%define name molmol
%define version 2k.2.0
%define release 1_centos5

Summary: MOLMOL MOLecule analysis and MOLecule display program
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.mol.biol.ethz.ch/software/MOLMOL/unix-gzip/molmol-2k.2.0-src.tar.gz 
Source1: ftp://ftp.mol.biol.ethz.ch/software/MOLMOL/unix-gzip/molmol-2k.2.0-doc.tar.gz 
Source2:  molmol_ugly_fix.sh
Patch0: molmol-2k.2_freeglut-centos3.patch
Patch1: molmol_x86_64.patch
PAtch2: molmol-libGLw.patch
URL: http://hugin.ethz.ch/wuthrich/software/molmol/
License: freely available see COPYING
Group: Applications/Scientific
BuildRoot: %{_builddir}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: freeglut-devel
# CentOS-5 added
BuildRequires: mesa-libGLw-devel openmotif-devel

%description

MOLMOL is a molecular graphics program for displaying, analyzing, and
manipulating the three-dimensional structure of biological macromolecules,
with special emphasis on the study of protein or DNA structures determined
by NMR.


%prep
%setup -c molmol-2k-2.0 -D
gunzip -c $RPM_SOURCE_DIR/molmol-2k.2.0-doc.tar.gz| tar xf -
cp  $RPM_SOURCE_DIR/molmol_ugly_fix.sh .
cp  $RPM_SOURCE_DIR/molmol-libGLw.patch .
%patch0 -p 1
%patch2 

%ifarch x86_64
%patch1 -p 0
%endif

%build
make || ./molmol_ugly_fix.sh
make
cp src/main/molmol molmol.lnx

%install
if [ "x$RPM_BUILD_ROOT" != "x/" ]; then
    rm -rf $RPM_BUILD_ROOT
fi

mkdir -p "$RPM_BUILD_ROOT"/opt/molmol-2k.2
mkdir -p "$RPM_BUILD_ROOT"/usr/local/bin
echo here
echo `pwd`
ls -la molmol*
#find . -exec file {} \;| grep shell
ls -l
cp -r \
COPYING HISTORY INSTALL README README.UNIX README.WIN auxil data help macros man molmol molmol.lnx setup tips \
"$RPM_BUILD_ROOT"/opt/molmol-2k.2
cp molmol "$RPM_BUILD_ROOT"/usr/local/bin/molmol
sed 's,^export MOLMOLDEV,export MOLMOLDEV=Motif/OpenGL,g' molmol > "$RPM_BUILD_ROOT"/usr/local/bin/molmol-gl
chmod 755 "$RPM_BUILD_ROOT"/usr/local/bin/molmol-gl


#
cd $RPM_BUILD_ROOT
find . -type d \
        | sed 's,^\.,\%attr(-\,root\,root) \%dir ,' \
        > $RPM_BUILD_DIR/file.list.%{name}
find . -type f \
        | sed 's,^\.,\%attr(-\,root\,root) ,' \
        >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l \
        | sed 's,^\.,\%attr(-\,root\,root) ,' \
        >> $RPM_BUILD_DIR/file.list.%{name}

%clean
if [ "x$RPM_BUILD_ROOT" != "x/" ]; then
    rm -rf $RPM_BUILD_ROOT
fi
rm -f $RPM_BUILD_DIR/file.list.%{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f ../file.list.%{name}
%doc  COPYING INSTALL  README

%changelog
* Wed Oct  3 2007 Tru Huynh <tru@pasteur.fr> - 1_centos5
- rebuild on CentOS-5
- manually fix a libGLw.a to include GLwMDrawA from mesa
- add a forced gl output for molmol.gl
* Wed Apr 13 2005 Tru Huynh <tru@pasteur.fr> - 2_centos
- fixes for x86_64 build 
- freeglut

* Tue Nov  2 2004 Tru Huynh <tru@pasteur.fr> - 1_centos
- rebuild for centos3
- default to GL
- patch for errno/sys_errlist/GL

* Tue Oct  9 2001 Tru Huynh <tru@pasteur.fr>
- rebuilt for rpm4

* Fri Oct 20 2000 Tru Huynh <tru@pasteur.fr>
- binary only distribution from the contrib repository
- provided by Suhaib Siddiqi (ssiddiqi@inspirepharm.com)

* Fri Oct 20 2000 Tru Huynh <tru@pasteur.fr>
- changed back from openmotif to Mesa

* Thu Oct 19 2000 Tru Huynh <tru@pasteur.fr>
- port to i386 with openmotif removed Xfree86 >=4
- removed ksh dependency -> sh

* Sun May 07 2000 Jack Howarth <howarth@bromo.med.uc.edu>
- Initial ppc binary only release based on statically linked Motif 2.1
  and XFree86 4.0 GL support. You need Linuxppc Reference Release 1.2
  or newer to run.


